//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.emr.entity;

public class Archive_Detail {
    private String id;
    private String pdfPath;
    private String masterid;
    private String uploaddatetime;
    private String assortid;
    private String source;
    private String subassort;
    private String title;
    private String flag;
    private String sys;
    private int pageNumber;
    private String recoverPdfPath;

    public Archive_Detail() {
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getPdfPath() {
        return this.pdfPath;
    }

    public void setPdfPath(String pdfPath) {
        this.pdfPath = pdfPath == null ? null : pdfPath.trim();
    }

    public String getMasterid() {
        return this.masterid;
    }

    public void setMasterid(String masterid) {
        this.masterid = masterid == null ? null : masterid.trim();
    }

    public String getUploaddatetime() {
        return this.uploaddatetime;
    }

    public void setUploaddatetime(String uploaddatetime) {
        this.uploaddatetime = uploaddatetime == null ? null : uploaddatetime.trim();
    }

    public String getAssortid() {
        return this.assortid;
    }

    public void setAssortid(String assortid) {
        this.assortid = assortid == null ? null : assortid.trim();
    }

    public String getSource() {
        return this.source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    public String getSubassort() {
        return this.subassort;
    }

    public void setSubassort(String subassort) {
        this.subassort = subassort == null ? null : subassort.trim();
    }

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public String getFlag() {
        return this.flag;
    }

    public void setFlag(String flag) {
        this.flag = flag == null ? null : flag.trim();
    }

    public String getSys() {
        return this.sys;
    }

    public void setSys(String sys) {
        this.sys = sys == null ? null : sys.trim();
    }

    public int getPageNumber() {
        return this.pageNumber;
    }

    public void setPageNumber(int pageNumber) {
        this.pageNumber = pageNumber;
    }

    public String getRecoverPdfPath() {
        return recoverPdfPath;
    }

    public void setRecoverPdfPath(String recoverPdfPath) {
        this.recoverPdfPath = recoverPdfPath;
    }
}
